Notice: get_currentuserinfo の使用はバージョン 4.5.0 から非推奨になっています ! 代わりに wp_get_current_user() を使ってください。 in /var/www/html/blog/wp-includes/functions.php on line 3831 Call Stack: 0.0001 228200 1. {main}() /var/www/html/blog/index.php:0 0.0001 228640 2. require('/var/www/html/blog/wp-blog-header.php') /var/www/html/blog/index.php:17 0.1151 5960208 3. require_once('/var/www/html/blog/wp-includes/template-loader.php') /var/www/html/blog/wp-blog-header.php:19 0.1164 5969376 4. include('/var/www/html/blog/wp-content/themes/zbench/archive.php') /var/www/html/blog/wp-includes/template-loader.php:74 0.1164 5969408 5. get_header() /var/www/html/blog/wp-content/themes/zbench/archive.php:1 0.1164 5969992 6. locate_template() /var/www/html/blog/wp-includes/general-template.php:45 0.1164 5970232 7. load_template() /var/www/html/blog/wp-includes/template.php:647 0.1164 5984480 8. require_once('/var/www/html/blog/wp-content/themes/zbench/header.php') /var/www/html/blog/wp-includes/template.php:688 0.1182 6000736 9. wp_head() /var/www/html/blog/wp-content/themes/zbench/header.php:8 0.1182 6000784 10. do_action() /var/www/html/blog/wp-includes/general-template.php:2589 0.1182 6001456 11. WP_Hook->do_action() /var/www/html/blog/wp-includes/plugin.php:453 0.1182 6001552 12. WP_Hook->apply_filters() /var/www/html/blog/wp-includes/class-wp-hook.php:323 0.1276 6175360 13. call_user_func_array:{/var/www/html/blog/wp-includes/class-wp-hook.php:298}() /var/www/html/blog/wp-includes/class-wp-hook.php:298 0.1276 6175968 14. add_google_analytics() /var/www/html/blog/wp-includes/class-wp-hook.php:298 0.1279 6176752 15. ga_current_user_is() /var/www/html/blog/wp-content/plugins/google-analyticator/google-analyticator.php:1116 0.1279 6176784 16. get_currentuserinfo() /var/www/html/blog/wp-content/plugins/google-analyticator/google-analyticator.php:1289 0.1279 6177008 17. _deprecated_function() /var/www/html/blog/wp-includes/pluggable-deprecated.php:49 0.1279 6177496 18. trigger_error() /var/www/html/blog/wp-includes/functions.php:3831

Tag Archives: OpenCV

OpenCV-2.3.1 Android プロジェクトのエラー

AndroidでOpenCVはじめました。
FedoraでEclipse使うのは初めてなので、開発環境の構築からなにやら色々やりながら泣きながらなんとか実機(SHARP IS03)でOpenCVのサンプルプログラムを実行。←いまここ

最初、
OpenCV-2.3.1のプロジェクトをインポートすると、OpenCVのプロジェクトがエラーとなりビルドできない。SampleやTutorialのプロジェクトも引きずられる。
Eclipseのコンソールには以下のメッセージ。
[OpenCV-2.3.1] Android requires compiler compliance level 5.0 or 6.0. Found '1.4' instead. Please use Android Tools > Fix Project Properties.
[OpenCV-2.3.1] Android requires compiler compliance level 5.0 or 6.0. Found '1.4' instead. Please use Android Tools > Fix Project Properties.
[OpenCV-2.3.1] Android requires compiler compliance level 5.0 or 6.0. Found '1.7' instead. Please use Android Tools > Fix Project Properties.

OpenCV-2.3.1のプロジェクトを右クリックして、メニューから
[Android Tools] -> [Fix Project Properties]
で直る。
これ、メッセージの通りであるけど、Pleiadesなどで日本語化してある場合は、
[Androidツール] -> [プロジェクト・プロパティを修正]
となる。

オライリージャパン (2010/09/04)

CentOSにOpenCVをパッケージインストールする

 CentOSにOpenCVをインストールしたかったのだが、yum searchしても検出されない(fedoraだと見つかったのに?)。
 仕方が無いのでソースからビルドしようとしたら今度はcmakeが無い。

 おちつけ。

 最近建てたばかりの環境なので、3rdパーティのリポジトリ(RPMforgeとか)を設定していない事に気づく。

 RPMforgeを設定する。環境はCentOS5。

 まずは、yum-prioritiesをインストール。
 これは、RPMforgeに存在するパッケージがオフィシャルリポジトリでインストールしたパッケージを上書かないようにするためのもの。パッケージが重複したときに。

[ccb_bash]# yum -y install yum-priorities[/ccb_bash]

 まず、現時点で設定されているリポジトリのプライオリティを1に設定する。

[ccb_bash]# vi /etc/yum.repos.d/CentOS-Base.repo[/ccb_bash]

[ccb_bash][base]
name=CentOS-$releasever – Base
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
#baseurl=http://mirror.centos.org/centos/$releasever/os/$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5
priority=1 # ←★この行追加
[/ccb_bash]

 他のリポジトリについても同じ。”priority=1″をつけておく。
 私の環境では、上記”CentOS-Base.repo”ファイル以外にも設定ファイルが存在したので、それらについても同様に”priority=1″とした。

 GPGキーのインストール。

[ccb_bash]# rpm –import http://apt.sw.be/RPM-GPG-KEY.dag.txt
[/ccb_bash]
 次にRPMForgeをインストール。

[ccb_bash]# rpm -hiv http://apt.sw.be/redhat/el5/en/i386/rpmforge/RPMS/rpmforge-release-0.5.1-1.el5.rf.i386.rpm
[/ccb_bash]
 まずは、アップデートしよう。

[ccb_bash]# yum update[/ccb_bash]

 よし、やっとcmakeのインストール、と思ったのだけど、よく考えてみればRPMforgeにOpenCV入ってた。

[ccb_bash]# yum install -y opencv
[/ccb_bash]

 ok.

毎日コミュニケーションズ (2009/07/29)